=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 3.9.6
 Homepage: http://www.mysql.com/
-Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-apparmor, dh-systemd (>=1.5)
+Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-systemd
 
 
 Package: mysql-server
@@ -21,25 +21,36 @@
 Package: mysql-community-server
 Architecture: any
 Pre-depends: debconf (>= 0.2.17), adduser
-Depends: mysql-common (= ${binary:Version}), mysql-client (= ${binary:Version}), perl, psmisc,
+Depends: mysql-common (>= ${binary:Version}),
+ mysql-client (= ${binary:Version}),
+ mysql-community-server-core (= ${binary:Version}),
+ perl,
+ psmisc,
  ${shlibs:Depends}, ${misc:Depends}
-Breaks: mysql-common (<< 5.7.14)
+Breaks: mysql-common (<< 5.7.14), mysql-community-client (<< 5.7)
 Conflicts: mysql,
  mysql-server-5.0, mysql-server-core-5.0,
  mysql-server-5.1, mysql-server-core-5.1,
  mysql-server-5.5, mysql-server-core-5.5,
  mysql-server-5.6, mysql-server-core-5.6,
  mysql-server-5.7, mysql-server-core-5.7,
- mysql-commercial-server
+ mysql-commercial-server,
+ mysql-cluster-community-server, mysql-cluster-commercial-server,
+ mariadb-server-5.5, mariadb-server-core-5.5,
+ mariadb-server-10.0, mariadb-server-core-10.0,
+ mariadb-server-10.1, mariadb-server-core-10.1,
+ mariadb-server-10.2, mariadb-server-core-10.2
 Replaces: mysql,
  mysql-server-5.0, mysql-server-core-5.0,
  mysql-server-5.1, mysql-server-core-5.1,
  mysql-server-5.5, mysql-server-core-5.5,
  mysql-server-5.6, mysql-server-core-5.6,
  mysql-server-5.7, mysql-server-core-5.7,
+ mysql-community-client (<< 5.7),
  mysql-commercial-server,
+ mysql-cluster-community-server, mysql-cluster-commercial-server,
  mysql-common (<< 5.7.14)
-Provides: virtual-mysql-server, virtual-mysql-server-core
+Provides: virtual-mysql-server
 Description: MySQL Server
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
@@ -48,6 +59,39 @@
  Oracle. This package includes the MySQL server binary as well as related
  utilities to run and administer a MySQL server.
 
+Package: mysql-community-server-core
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: mysql-community-server (<< 8.0.1),
+ mysql-commercial-server (<< 8.0.1),
+Conflicts: mysql,
+ mysql-server-core-5.0,
+ mysql-server-core-5.1,
+ mysql-server-core-5.5,
+ mysql-server-core-5.6,
+ mysql-server-core-5.7,
+ mysql-commercial-server-core,
+ mariadb-server-core-5.5,
+ mariadb-server-core-10.0,
+ mariadb-server-core-10.1,
+ mariadb-server-core-10.2
+Replaces: mysql-community-server (<< 8.0.1),
+ mysql-commercial-server (<< 8.0.1),
+ mysql-commercial-server-core,
+ mysql-server-core-5.0,
+ mysql-server-core-5.1,
+ mysql-server-core-5.5,
+ mysql-server-core-5.6,
+ mysql-server-core-5.7,
+Provides: virtual-mysql-server-core
+Description: MySQL Server Core Binaires
+ The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
+ and robust SQL (Structured Query Language) database server. MySQL Server
+ is intended for mission-critical, heavy-load production systems as well
+ as for embedding into mass-deployed software. MySQL is a trademark of
+ Oracle. This package includes the core MySQL server binaries, but no
+ configuration or service scripts.
+
 Package: mysql-client
 Architecture: any
 Depends: mysql-community-client (= ${binary:Version}), ${misc:Depends}
@@ -61,16 +105,23 @@
 
 Package: mysql-community-client
 Architecture: any
-Depends: mysql-common (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}
-Breaks: mysql-common (<< 5.7.14), libmysqlclient-dev (<< 5.7.14)
+Depends: mysql-common (>= ${binary:Version}),
+ ${shlibs:Depends}, ${misc:Depends},
+ mysql-community-client-core (= ${binary:Version})
+Breaks: mysql-common (<< 8.0.1),
+ libmysqlclient-dev (<< 5.7.14),
 Conflicts: mysql,
  mysql-client-5.0, mysql-client-core-5.0,
  mysql-client-5.1, mysql-client-core-5.1,
  mysql-client-5.5, mysql-client-core-5.5,
  mysql-client-5.6, mysql-client-core-5.6,
  mysql-client-5.7, mysql-client-core-5.7,
- mysql-commercial-client
+ mysql-commercial-client,
+ mysql-cluster-community-client, mysql-cluster-commercial-client,
+ mariadb-client-5.5, mariadb-client-core-5.5,
+ mariadb-client-10.0, mariadb-client-core-10.0,
+ mariadb-client-10.1, mariadb-client-core-10.1,
+ mariadb-client-10.2, mariadb-client-core-10.2
 Replaces: mysql,
  mysql-client-5.0, mysql-client-core-5.0,
  mysql-client-5.1, mysql-client-core-5.1,
@@ -78,9 +129,10 @@
  mysql-client-5.6, mysql-client-core-5.6,
  mysql-client-5.7, mysql-client-core-5.7,
  mysql-commercial-client,
- mysql-common (<< 5.7.14),
+ mysql-cluster-community-client, mysql-cluster-commercial-client,
+ mysql-common (<< 8.0.1),
  libmysqlclient-dev (<< 5.7.14)
-Provides: virtual-mysql-client, virtual-mysql-client-core
+Provides: virtual-mysql-client,
 Description: MySQL Client
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
@@ -88,13 +140,50 @@
  as for embedding into mass-deployed software. MySQL is a trademark of
  Oracle. This package contains the standard MySQL clients and
  administration tools.
+
+Package: mysql-community-client-core
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libmysqlclient-dev (<< 5.7.14),
+ mysql-community-client (<< 8.0.1),
+ mysql-commercial-client (<< 8.0.1),
+Conflicts: mysql,
+ mysql-client-core-5.0,
+ mysql-client-core-5.1,
+ mysql-client-core-5.5,
+ mysql-client-core-5.6,
+ mysql-client-core-5.7,
+ mysql-commercial-client-core,
+ mariadb-client-core-5.5,
+ mariadb-client-core-10.0,
+ mariadb-client-core-10.1,
+ mariadb-client-core-10.2
+Replaces: mysql,
+ mysql-client-core-5.0,
+ mysql-client-core-5.1,
+ mysql-client-core-5.5,
+ mysql-client-core-5.6,
+ mysql-client-core-5.7,
+ mysql-commercial-client,
+ mysql-common (<< 5.7.17),
+ mysql-community-client (<< 8.0.1),
+ mysql-commercial-client (<< 8.0.1),
+ mysql-commercial-client-core,
+ libmysqlclient-dev (<< 5.7.14)
+Provides: virtual-mysql-client-core
+Description: MySQL Client Core Binaries
+ The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
+ and robust SQL (Structured Query Language) database server. MySQL Server
+ is intended for mission-critical, heavy-load production systems as well
+ as for embedding into mass-deployed software. MySQL is a trademark of
+ Oracle. This package contains the MySQL client binaries.
 
 Package: libmysqlclient21
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Depends: mysql-common (= ${binary:Version}),
+Depends: mysql-common (>= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Description: MySQL shared client libraries
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
@@ -127,7 +216,7 @@
  is intended for mission-critical, heavy-load production systems as well
  as for embedding into mass-deployed software. MySQL is a trademark of
  Oracle. This package contains common files needed by MySQL client
- library, MySQL database server, and MySQL embedded server.
+ library and MySQL database server.
 
 Package: libmysqlclient-dev
 Architecture: any
@@ -144,18 +233,6 @@
  Oracle. This package contains the development header files necessary
  to develop MySQL client applications.
 
-Package: libmysqld-dev
-Architecture: any
-Section: libdevel
-Depends: libmysqlclient-dev (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}
-Description: MySQL embedded server library
- The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
- and robust SQL (Structured Query Language) database server. MySQL Server
- is intended for mission-critical, heavy-load production systems as well
- as for embedding into mass-deployed software. MySQL is a trademark of
- Oracle. This package contains the MySQL server as an embedded library.
-
 Package: mysql-testsuite
 Architecture: any
 Depends: mysql-community-test (= ${binary:Version}), ${misc:Depends}
@@ -176,7 +253,8 @@
  mysql-community-client (<< 5.7.14)
 Conflicts: mysql,
  mysql-testsuite-5.0, mysql-testsuite-5.1, mysql-testsuite-5.5,
- mysql-testsuite-5.6, mysql-testsuite-5.7, mysql-commercial-test
+ mysql-testsuite-5.6, mysql-testsuite-5.7, mysql-commercial-test,
+ mariadb-test, mariadb-test-data
 Description: MySQL Test Run MTR - The MySQL testsuite
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
@@ -194,3 +272,5 @@
  is intended for mission-critical, heavy-load production systems as well
  as for embedding into mass-deployed software. MySQL is a trademark of
  Oracle.
+
+
