=== debian/rules ===
--- 
+++ 
@@ -126,14 +126,17 @@
 	
 	dh_systemd_enable --name=mysql
 	dh_installinit --name=mysql -- defaults 19 21
+	dh_installinit --name=mysql@ -- disable
 	dh_systemd_start --restart-after-upgrade
 	touch $@
 
 override_dh_install:
-	dh_install --list-missing
-		-Xusr/bin/i_mysql_client_test
-		-Xusr/share/mysql/mysql.server
-		-Xusr/share/mysql/COPYING
-		-Xusr/share/mysql/README
-		-Xusr/share/mysql/docs/mysql.info
-		-Xusr/share/man/man1/mysqlman.1
+	dh_install --fail-missing \
+		-Xusr/bin/i_mysql_client_test \
+		-Xusr/share/mysql/mysql.server \
+		-Xusr/share/mysql/COPYING \
+		-Xusr/share/mysql/README \
+		-Xusr/share/mysql/docs/mysql.info \
+		-Xusr/share/man/man1/mysql_client_test_embedded.1 \
+		-Xusr/share/man/man1/mysqlman.1 \
+		-Xusr/share/man/man1/mysqltest_embedded.1
