## mysql-community 8.0.3-rc

=== debian/changelog ===
mysql-community (8.0.3-rc-1ubuntu17.04) zesty; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-3.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Tue, 19 Sep 2017 14:03:03 +0200
