=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,40 @@
 
 override_dh_auto_configure:
 	@echo "RULES.$@"
-	cmake . \
-        -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
+
+	
+	mkdir debug && cd debug && \
+	cmake .. \
+      -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
+		-DBUILD_CONFIG=mysql_release \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_BUILD_TYPE=Debug \
+		-DINSTALL_DOCDIR=share/mysql/docs \
+		-DINSTALL_DOCREADMEDIR=share/mysql \
+		-DINSTALL_INCLUDEDIR=include/mysql \
+		-DINSTALL_INFODIR=share/mysql/docs \
+		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
+		-DINSTALL_MANDIR=share/man \
+		-DINSTALL_MYSQLSHAREDIR=share/mysql \
+		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
+		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
+		-DINSTALL_SBINDIR=sbin \
+		-DINSTALL_SUPPORTFILESDIR=share/mysql \
+		-DSYSCONFDIR=/etc/mysql \
+		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
+		-DWITH_SSL=bundled \
+		-DWITH_INNODB_MEMCACHED=1 \
+		-DWITH_MECAB=system \
+		-DWITH_NUMA=ON \
+		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
+		-DINSTALL_LAYOUT=DEB \
+		-DDEB_PRODUCT=community \
+		
+
+
+	mkdir release && cd release && \
+	cmake .. \
+      -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
 		-DBUILD_CONFIG=mysql_release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DINSTALL_DOCDIR=share/mysql/docs \
@@ -49,10 +81,16 @@
 		-DINSTALL_LAYOUT=DEB \
 		-DDEB_PRODUCT=community \
 		
+
 	touch $@
 
 override_dh_auto_build:
 	@echo "RULES.$@"
+	
+	cd debug && \
+	$(MAKE) -j8 VERBOSE=1
+
+	cd release && \
 	$(MAKE) -j8 VERBOSE=1
 	touch $@
 
@@ -64,66 +102,62 @@
 
 	@echo "RULES.$@"
 	# complete install first
-	$(MAKE) install DESTDIR=debian/tmp
-	# remove all redundant files
-	rm debian/tmp/usr/lib/mysql-test/cmake_install.cmake
-	rm debian/tmp/usr/lib/mysql-test/CTestTestfile.cmake
-	rm debian/tmp/usr/lib/mysql-test/Makefile
-	# add missing man pages
-	# add MySQL Server debug binary and library to package
-	install -g root -o root -m 0755 debian/extra/server-binary debian/tmp/usr/sbin/mysqld-debug
-	# add debug plugin libraries to package
-	install -g root -o root -m 0755 -d debian/tmp/usr/lib/mysql/plugin/debug
-	for file in debian/extra/*-plugin; do NEW=`echo $$file | cut -d- -f1`; mv $$file $$NEW.so; done
-	install -g root -o root -m 0755 debian/extra/*.so debian/tmp/usr/lib/mysql/plugin/debug
-	install -g root -o root -m 0755 debian/extra/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug
+	cd release && \
+	$(MAKE) install DESTDIR=../debian/tmp
+	
+	# The ini file isn't built for debug, so copy over from the standard build
+	install -g root -o root -m 0755 debian/tmp/usr/lib/mysql/plugin/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug
+
 	# Add helper functions for maintainer scripts
 	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/
 	# add apparmor profile
-	
+	install -g root -o root -m 0644 -D debian/extra/apparmor-profile debian/tmp/etc/apparmor.d/usr.sbin.mysqld
 	# add systemd script
 	install -m 0755 debian/extra/mysql-systemd-start debian/tmp/usr/share/mysql/
 	# add directory for legal docs
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-server
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-server
+	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-server-core
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-client
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-client
+	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-client-core
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-common
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/libmysqlclient21
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/libmysqlclient-dev
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-testsuite
 	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-test
-	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-source
 	
 	# add COPYING file to each package
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-server/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-server/COPYING
+	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-server-core/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-client/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-client/COPYING
+	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-client-core/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-common/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqlclient21/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqlclient-dev/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-testsuite/COPYING
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-test/COPYING
-	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-source/COPYING
 	
 	# add README file to each package
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-server/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-server/README
+	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-server-core/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-client/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-client/README
+	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-client-core/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-common/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqlclient21/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqlclient-dev/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-testsuite/README
 	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-test/README
-	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-source/README
 	
 	touch $@
 
 override_dh_installinit:
 	@echo "RULES.$@"
-	
+	dh_apparmor -pmysql-community-server --profile-name=usr.sbin.mysqld
 	dh_systemd_enable --name=mysql
 	dh_installinit --name=mysql -- defaults 19 21
 	dh_installinit --name=mysql@ -- disable
